> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get salary types

> Returns the salary types defined for the organization — the subset of accounting numbers used to route expenses (per-diem, mileage, etc.) into payroll line items. Scoped to the calling user's organization.



## OpenAPI

````yaml openapi/findity-admin-api.json GET /organizations/{id}/salarytypes
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /organizations/{id}/salarytypes:
    get:
      tags:
        - Organization
      summary: Get salary types
      description: >-
        Returns the salary types defined for the organization — the subset of
        accounting numbers used to route expenses (per-diem, mileage, etc.) into
        payroll line items. Scoped to the calling user's organization.
      operationId: adminGetSalaryTypes
      parameters:
        - $ref: '#/components/parameters/organizationIdPath'
        - name: sort
          in: query
          description: Comma separated list of properties to sort on with defined order
          required: false
          example: number:desc,name:asc
          schema:
            type: string
            default: number:asc
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfSalaryTypes'
              example:
                meta:
                  count: 2
                  total: 2
                data:
                  - name: The salary type name.
                    number: Salary type number
                  - id: af9e26fc589f4090b4fff2698dec1139
                    name: Another salary type name.
                    number: Another salary type number
components:
  parameters:
    organizationIdPath:
      in: path
      name: id
      required: true
      description: The unique identifier of the organization
      schema:
        $ref: '#/components/schemas/Uuid'
        example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    ArrayOfSalaryTypes:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/SalaryType'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    SalaryType:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/Uuid'
          readOnly: true
        name:
          type: string
          description: Name of the salary type
        number:
          type: string
          description: Salary type number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````